#
# makefile for misc functions
#

PROGS=pidof
CFLAGS=$(DEFS) -O6 -fomit-frame-pointer -I../../include -L../../lib/aout

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o

pidof: pidof.c
	$(CC) $(CFLAGS) -o pidof pidof.c -lbasis

install: pidof
	install -d $(DESTDIR)/usr/bin
	install -o games -g games -m 511 -s -c pidof $(DESTDIR)/usr/bin
	install -d -o man -g man $(DESTDIR)/usr/man/man1
	install -o man -g man -m 444 -c pidof.1 $(DESTDIR)/usr/man/man1
